From afd57bbbc09c1273917c2cf69781c939bdb04040 Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Wed, 12 Jun 2019 15:30:11 +0200
Subject: [PATCH 01/23] ksolid: split library into its own subpackage

---
 common/shlibs           |  2 +-
 srcpkgs/ksolid/template | 13 ++++++++++---
 srcpkgs/libksolid       |  1 +
 3 files changed, 12 insertions(+), 4 deletions(-)
 create mode 120000 srcpkgs/libksolid

diff --git a/common/shlibs b/common/shlibs
index 524b52be71c..5033d3537bb 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -2266,7 +2266,7 @@ libosgGA.so.131 osg-3.4.1_1
 libosgPresentation.so.131 osg-3.4.1_1
 libKF5Screen.so.7 libkscreen-5.7.5_1
 libdbusmenu-qt5.so.2 libdbusmenu-qt5-0.9.3.0_1
-libKF5Solid.so.5 ksolid-5.15.0_1
+libKF5Solid.so.5 libksolid-5.15.0_2
 libfreeimage.so.3 freeimage-3.17.0_1
 libfreeimageplus.so.3 freeimage-plus-3.17.0_1
 libtoluapp.so toluapp-1.0.93_1
diff --git a/srcpkgs/ksolid/template b/srcpkgs/ksolid/template
index 4ed88bb7c84..53634de457d 100644
--- a/srcpkgs/ksolid/template
+++ b/srcpkgs/ksolid/template
@@ -1,7 +1,7 @@
 # Template file for 'ksolid'
 pkgname=ksolid
 version=5.59.0
-revision=1
+revision=2
 wrksrc="${pkgname#k}-${version}"
 build_style=cmake
 configure_args="-DBUILD_TESTING=OFF"
@@ -16,9 +16,16 @@ homepage="https://projects.kde.org/projects/frameworks/solid"
 distfiles="${KDE_SITE}/frameworks/${version%.*}/${pkgname#k}-${version}.tar.xz"
 checksum=1d5493661c34043f29a39a4a05d7e0509572ef5d0e894980b54eed6efcab1045
 
+libksolid_package() {
+	short_desc+=" - runtime library"
+	pkg_install() {
+		vmove "usr/lib/*.so.*"
+	}
+}
+
 ksolid-devel_package() {
-	short_desc+=" - development"
-	depends="${makedepends} ${sourcepkg}-${version}_${revision}"
+	short_desc+=" - development files"
+	depends="${makedepends} lib${sourcepkg}-${version}_${revision}"
 	pkg_install() {
 		vmove usr/include
 		vmove usr/lib/cmake
diff --git a/srcpkgs/libksolid b/srcpkgs/libksolid
new file mode 120000
index 00000000000..e573d7e34fe
--- /dev/null
+++ b/srcpkgs/libksolid
@@ -0,0 +1 @@
+ksolid
\ No newline at end of file

From ac6bebd686ce9bb917115b97f99aca4013997c47 Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Wed, 12 Jun 2019 15:59:04 +0200
Subject: [PATCH 02/23] baloo5: revbump for libksolid

added ksolid-devel as explicit build dependency
---
 srcpkgs/baloo5/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/baloo5/template b/srcpkgs/baloo5/template
index 588f6b24956..741acecc9d9 100644
--- a/srcpkgs/baloo5/template
+++ b/srcpkgs/baloo5/template
@@ -1,12 +1,12 @@
 # Template file for 'baloo5'
 pkgname=baloo5
 version=5.59.0
-revision=1
+revision=2
 wrksrc="${pkgname%5}-${version}"
 build_style=cmake
 configure_args="-DBUILD_TESTING=OFF"
 hostmakedepends="kcoreaddons extra-cmake-modules"
-makedepends="kfilemetadata5-devel kidletime-devel kio-devel lmdb-devel"
+makedepends="kfilemetadata5-devel kidletime-devel kio-devel ksolid-devel lmdb-devel"
 depends="hicolor-icon-theme"
 short_desc="Framework for searching and managing metadata"
 maintainer="John <johnz@posteo.net>"

From 38c7342b1f8909d923bed13168098953d38321d9 Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Wed, 12 Jun 2019 16:10:39 +0200
Subject: [PATCH 03/23] digikam: revbump for libksolid

---
 srcpkgs/digikam/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/digikam/template b/srcpkgs/digikam/template
index 9e563b24348..c45cacc9acb 100644
--- a/srcpkgs/digikam/template
+++ b/srcpkgs/digikam/template
@@ -1,7 +1,7 @@
 # Template file for 'digikam'
 pkgname=digikam
 version=6.1.0
-revision=1
+revision=2
 build_style=cmake
 hostmakedepends="extra-cmake-modules pkg-config bison flex"
 makedepends="qt5-devel libjpeg-turbo-devel qt5-plugin-mysql qt5-plugin-odbc

From 5d4760535effc0bd69468554c7164b5a11a30cbc Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Wed, 12 Jun 2019 16:11:08 +0200
Subject: [PATCH 04/23] dolphin: revbump for libksolid

added ksolid-devel as explicit build dependency
---
 srcpkgs/dolphin/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/dolphin/template b/srcpkgs/dolphin/template
index 0f1e4f8508e..9058709cae2 100644
--- a/srcpkgs/dolphin/template
+++ b/srcpkgs/dolphin/template
@@ -1,13 +1,13 @@
 # Template file for 'dolphin'
 pkgname=dolphin
 version=19.04.2
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DBUILD_TESTING=OFF"
 hostmakedepends="extra-cmake-modules python qt5-qmake qt5-host-tools
  kcoreaddons kconfig kdoctools"
 makedepends="baloo-widgets5-devel kcmutils-devel knewstuff-devel kactivities5-devel
- kinit-devel kparts-devel"
+ kinit-devel kparts-devel ksolid-devel"
 depends="kio-extras"
 short_desc="KDE File manager"
 maintainer="John <johnz@posteo.net>"

From 16dd2b0ea60534fb5fdbfd7573af318a6e37b4d9 Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Wed, 12 Jun 2019 16:12:26 +0200
Subject: [PATCH 05/23] dragon-player: revbump for libksolid

added ksolid-devel as explicit build dependency
---
 srcpkgs/dragon-player/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/dragon-player/template b/srcpkgs/dragon-player/template
index c04bf304773..524911e9a17 100644
--- a/srcpkgs/dragon-player/template
+++ b/srcpkgs/dragon-player/template
@@ -1,11 +1,11 @@
 # Template file for 'dragon-player'
 pkgname=dragon-player
 version=19.04.2
-revision=1
+revision=2
 wrksrc="dragon-${version}"
 build_style=cmake
 hostmakedepends="extra-cmake-modules pkg-config qt5-qmake qt5-host-tools
- kcoreaddons kdoctools"
+ kcoreaddons kdoctools ksolid-devel"
 makedepends="kio-devel kparts-devel"
 depends="virtual?phonon-qt5-backend hicolor-icon-theme"
 short_desc="Multimedia player where the focus is on simplicity"

From cadfddeae1bb424f774ed2f0101aae56d5efc47f Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Wed, 12 Jun 2019 16:20:34 +0200
Subject: [PATCH 06/23] gwenview: revbump for libksolid

added ksolid-devel as explicit build dependency
---
 srcpkgs/gwenview/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gwenview/template b/srcpkgs/gwenview/template
index b26af2b066e..ae5c1acf464 100644
--- a/srcpkgs/gwenview/template
+++ b/srcpkgs/gwenview/template
@@ -1,14 +1,14 @@
 # Template file for 'gwenview'
 pkgname=gwenview
 version=19.04.2
-revision=1
+revision=2
 build_style=cmake
 hostmakedepends="extra-cmake-modules pkg-config qt5-qmake qt5-host-tools
  python kdoctools kconfig kcoreaddons"
 makedepends="qt5-devel qt5-svg-devel phonon-qt5-devel kio-devel kactivities5-devel
  kitemmodels-devel ki18n-devel kdoctools-devel kparts-devel kwindowsystem-devel
- kiconthemes-devel knotifications-devel libjpeg-turbo-devel exiv2-devel
- libkipi5-devel lcms2-devel baloo5-devel libkdcraw5-devel cfitsio"
+ kiconthemes-devel knotifications-devel ksolid-devel libjpeg-turbo-devel
+ exiv2-devel libkipi5-devel lcms2-devel baloo5-devel libkdcraw5-devel cfitsio"
 short_desc="Fast and easy to use image viewer by KDE"
 maintainer="Helmut Pozimski <helmut@pozimski.eu>"
 license="GPL-2.0-or-later"

From 79ee13dc8f5df5ae4398ea0718b55724b5fe88ae Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Wed, 12 Jun 2019 16:28:46 +0200
Subject: [PATCH 07/23] k3b: revbump for libksolid

added kio-devel and ksolid-devel as explicit build dependencies
---
 srcpkgs/k3b/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/k3b/template b/srcpkgs/k3b/template
index 7e3c2294014..6451524efb7 100644
--- a/srcpkgs/k3b/template
+++ b/srcpkgs/k3b/template
@@ -1,13 +1,13 @@
 # Template file for 'k3b'
 pkgname=k3b
 version=19.04.2
-revision=1
+revision=2
 build_style=cmake
 hostmakedepends="extra-cmake-modules pkg-config qt5-qmake"
 makedepends="kcmutils-devel kfilemetadata5-devel knewstuff-devel
- knotifyconfig-devel lame-devel libXft-devel libcddb-devel libdvdread-devel
- libkcddb-devel libmad-devel libmpcdec-devel libmusicbrainz5-devel
- libsamplerate-devel"
+ knotifyconfig-devel kio-devel ksolid-devel lame-devel libXft-devel
+ libcddb-devel libdvdread-devel libkcddb-devel libmad-devel libmpcdec-devel
+ libmusicbrainz5-devel libsamplerate-devel"
 depends="cdrdao cdrtools dvd+rw-tools"
 short_desc="CD/DVD Kreator for Linux"
 maintainer="Enno Boland <gottox@voidlinux.org>"

From a0f0791606ee48767d5721f5be8b10d47bb74b02 Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Wed, 12 Jun 2019 16:29:56 +0200
Subject: [PATCH 08/23] kaffeine: revbump for libksolid

added ksolid-devel as explicit build dependency
---
 srcpkgs/kaffeine/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/kaffeine/template b/srcpkgs/kaffeine/template
index e4b6dcca12c..79bba106d86 100644
--- a/srcpkgs/kaffeine/template
+++ b/srcpkgs/kaffeine/template
@@ -1,11 +1,11 @@
 # Template file for 'kaffeine'
 pkgname=kaffeine
 version=2.0.18
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DBUILD_TESTING=OFF"
 hostmakedepends="extra-cmake-modules pkg-config kcoreaddons"
-makedepends="kidletime-devel kio-devel vlc-devel
+makedepends="kidletime-devel kio-devel ksolid-devel vlc-devel
  qt5-plugin-mysql qt5-plugin-odbc qt5-plugin-pgsql
  qt5-plugin-sqlite qt5-plugin-tds
  $(vopt_if dvb 'v4l-utils-devel eudev-libudev-devel')"

From 4f2752e2e34fd0efbf5997f4aac3b2d76fb25926 Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Wed, 12 Jun 2019 16:31:48 +0200
Subject: [PATCH 09/23] kdelibs4support: revbump for libksolid

added ksolid-devel as explicit build dependency
---
 srcpkgs/kdelibs4support/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/kdelibs4support/template b/srcpkgs/kdelibs4support/template
index 01d510052ac..06cf8fb9bf9 100644
--- a/srcpkgs/kdelibs4support/template
+++ b/srcpkgs/kdelibs4support/template
@@ -1,13 +1,13 @@
 # Template file for 'kdelibs4support'
 pkgname=kdelibs4support
 version=5.59.0
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DBUILD_TESTING=OFF"
 hostmakedepends="kcoreaddons extra-cmake-modules perl-URI pkg-config"
 makedepends="kded-devel kemoticons-devel kitemmodels-devel kparts-devel
  kunitconversion-devel kdesignerplugin-devel networkmanager-qt5-devel
- kdoctools-devel libSM-devel"
+ kdoctools-devel libSM-devel ksolid-devel"
 depends="kded"
 short_desc="KDE Legacy support for kdelibs 4 compatibility"
 maintainer="John <johnz@posteo.net>"

From 746fd7de42df12fc2b24d2dab9b9f56e403ab107 Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Wed, 12 Jun 2019 16:34:52 +0200
Subject: [PATCH 10/23] kdenlive: revbump for libksolid

added ksolid-devel as explicit build dependency
---
 srcpkgs/kdenlive/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/kdenlive/template b/srcpkgs/kdenlive/template
index f6b877933d7..f14e486b991 100644
--- a/srcpkgs/kdenlive/template
+++ b/srcpkgs/kdenlive/template
@@ -1,7 +1,7 @@
 # Template file for 'kdenlive'
 pkgname=kdenlive
 version=19.04.2
-revision=1
+revision=2
 build_style=cmake
 hostmakedepends="
  extra-cmake-modules kconfig kcoreaddons kdoctools pkg-config python3
@@ -9,7 +9,7 @@ hostmakedepends="
 makedepends="
  kdeclarative-devel kfilemetadata5-devel knewstuff-devel knotifyconfig-devel
  kplotting-devel mlt-devel qt5-multimedia-devel qt5-webkit-devel purpose-devel
- v4l-utils-devel"
+ v4l-utils-devel ksolid-devel"
 depends="breeze-icons dvdauthor ffmpeg frei0r-plugins kinit qt5-quickcontrols
  qt5-quickcontrols2 vlc"
 short_desc="Non-linear video editor"

From ef924e0c6758013354c915dcdc7f7acd75dcd953 Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Wed, 12 Jun 2019 16:45:24 +0200
Subject: [PATCH 11/23] kinfocenter: revbump for libksolid

added ksolid-devel as explicit build dependency
---
 srcpkgs/kinfocenter/template | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/kinfocenter/template b/srcpkgs/kinfocenter/template
index 97ea559e430..828090e1ffd 100644
--- a/srcpkgs/kinfocenter/template
+++ b/srcpkgs/kinfocenter/template
@@ -1,12 +1,13 @@
 # Template file for 'kinfocenter'
 pkgname=kinfocenter
 version=5.15.5
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DBUILD_TESTING=OFF"
 hostmakedepends="extra-cmake-modules pkg-config qt5-host-tools qt5-qmake"
 makedepends="kdoctools plasma-framework-devel kdesignerplugin-devel kcmutils-devel
- kdelibs4support-devel kwayland-devel glu-devel pciutils-devel libraw1394-devel"
+ kdelibs4support-devel kwayland-devel glu-devel pciutils-devel libraw1394-devel
+ ksolid-devel"
 short_desc="KDE Info Center"
 maintainer="John <johnz@posteo.net>"
 license="GPL-2.0-or-later, LGPL-2.1-or-later, GFDL-1.2"

From fbf35dc3b46a88fe71f0d86282a2c790a27d2e18 Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Wed, 12 Jun 2019 16:45:51 +0200
Subject: [PATCH 12/23] kio: revbump for libksolid

---
 srcpkgs/kio/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/kio/template b/srcpkgs/kio/template
index ead12a35d07..056398f1ca2 100644
--- a/srcpkgs/kio/template
+++ b/srcpkgs/kio/template
@@ -1,7 +1,7 @@
 # Template file for 'kio'
 pkgname=kio
 version=5.59.0
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DBUILD_TESTING=OFF"
 hostmakedepends="kcoreaddons extra-cmake-modules kauth"

From 455e2b8d7bf2f488beba4de54205a11a73e746b2 Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Wed, 12 Jun 2019 16:46:33 +0200
Subject: [PATCH 13/23] kio-extras: revbump for libksolid

added ksolid-devel as explicit build dependency
---
 srcpkgs/kio-extras/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/kio-extras/template b/srcpkgs/kio-extras/template
index cade86448bb..65a61e15620 100644
--- a/srcpkgs/kio-extras/template
+++ b/srcpkgs/kio-extras/template
@@ -1,7 +1,7 @@
 # Template file for 'kio-extras'
 pkgname=kio-extras
 version=19.04.2
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DBUILD_TESTING=OFF"
 hostmakedepends="extra-cmake-modules pkg-config gperf qt5-qmake qt5-host-tools
@@ -9,7 +9,7 @@ hostmakedepends="extra-cmake-modules pkg-config gperf qt5-qmake qt5-host-tools
 makedepends="kdesignerplugin-devel kactivities5-devel kdelibs4support-devel
  kdnssd-devel khtml-devel kpty-devel exiv2-devel libmtp-devel
  libopenexr-devel samba-devel taglib-devel qt5-webengine-devel qt5-webchannel-devel
- qt5-location-devel syntax-highlighting-devel"
+ qt5-location-devel syntax-highlighting-devel ksolid-devel"
 short_desc="Additional KIO components"
 maintainer="Denis Revin <denis.revin@gmail.com>"
 license="GPL-2.0-or-later, LGPL-2.0-or-later"

From af42983be4705a44ed77cdaca9c06a463c58443b Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Wed, 12 Jun 2019 16:47:20 +0200
Subject: [PATCH 14/23] kmix: revbump for libksolid

added ksolid-devel as explicit build dependency
---
 srcpkgs/kmix/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/kmix/template b/srcpkgs/kmix/template
index a2533dd5f01..0f0b7d2d409 100644
--- a/srcpkgs/kmix/template
+++ b/srcpkgs/kmix/template
@@ -1,13 +1,13 @@
 # Template file for 'kmix'
 pkgname=kmix
 version=19.04.2
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DSYSCONF_INSTALL_DIR=/etc -DDESKTOPTOJSON_EXECUTABLE=/usr/bin/desktoptojson"
 hostmakedepends="extra-cmake-modules pkg-config qt5-qmake qt5-host-tools
  kdoctools kcoreaddons"
 makedepends="plasma-framework-devel kinit-devel alsa-lib-devel pulseaudio-devel
- libcanberra-devel"
+ libcanberra-devel ksolid-devel"
 short_desc="KDE's mixer application"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="GPL-2.0-or-later, LGPL-2.0-or-later, GFDL-1.2-only"

From 09abd5a3135ba812d395ff9f5dc532a1ff963b50 Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Wed, 12 Jun 2019 16:49:57 +0200
Subject: [PATCH 15/23] krusader: revbump for libksolid

added ksolid-devel as explicit build dependency
---
 srcpkgs/krusader/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/krusader/template b/srcpkgs/krusader/template
index 04e75cc8ce6..6ce2f94f036 100644
--- a/srcpkgs/krusader/template
+++ b/srcpkgs/krusader/template
@@ -1,10 +1,10 @@
 # Template file for 'krusader'
 pkgname=krusader
 version=2.7.1
-revision=1
+revision=2
 build_style=cmake
 hostmakedepends="extra-cmake-modules pkg-config kdoctools qt5-qmake qt5-host-tools"
-makedepends="kparts-devel plasma-framework-devel"
+makedepends="kparts-devel plasma-framework-devel ksolid-devel"
 short_desc="Twin-panel (commander-style) file manager"
 maintainer="Piotr Wójcik <chocimier@tlen.pl>"
 license="GPL-2.0-or-later"

From 5b23d1a08363c4dd3e4bac5ad62efe1b405bd342 Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Wed, 12 Jun 2019 16:51:02 +0200
Subject: [PATCH 16/23] lxqt-panel: revbump for libksolid

---
 srcpkgs/lxqt-panel/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/lxqt-panel/template b/srcpkgs/lxqt-panel/template
index 4b6e93f5285..848fa71d94e 100644
--- a/srcpkgs/lxqt-panel/template
+++ b/srcpkgs/lxqt-panel/template
@@ -1,7 +1,7 @@
 # Template file for 'lxqt-panel'
 pkgname=lxqt-panel
 version=0.14.1
-revision=1
+revision=2
 build_style=cmake
 hostmakedepends="pkg-config lxqt-build-tools qt5-qmake qt5-host-tools"
 makedepends="libxkbcommon-devel liblxqt-devel ksolid-devel kguiaddons-devel

From e0a264ea06effcfb7815cd84dd0f63f00e3bd4b9 Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Wed, 12 Jun 2019 16:51:18 +0200
Subject: [PATCH 17/23] lxqt-powermanagement: revbump for libksolid

---
 srcpkgs/lxqt-powermanagement/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/lxqt-powermanagement/template b/srcpkgs/lxqt-powermanagement/template
index 82f3750251d..bb1a1ccd54c 100644
--- a/srcpkgs/lxqt-powermanagement/template
+++ b/srcpkgs/lxqt-powermanagement/template
@@ -1,7 +1,7 @@
 # Template file for 'lxqt-powermanagement'
 pkgname=lxqt-powermanagement
 version=0.14.1
-revision=1
+revision=2
 build_style=cmake
 hostmakedepends="lxqt-build-tools qt5-qmake qt5-host-tools"
 makedepends="liblxqt-devel ksolid-devel kidletime-devel"

From ada18b431d0fd9773666ba0e5d8943ccac333be6 Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Wed, 12 Jun 2019 16:54:23 +0200
Subject: [PATCH 18/23] plasma-desktop: revbump for libksolid

added ksolid-devel as explicit build dependency
---
 srcpkgs/plasma-desktop/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/plasma-desktop/template b/srcpkgs/plasma-desktop/template
index 880023ecbe0..aa962112971 100644
--- a/srcpkgs/plasma-desktop/template
+++ b/srcpkgs/plasma-desktop/template
@@ -1,14 +1,14 @@
 # Template file for 'plasma-desktop'
 pkgname=plasma-desktop
 version=5.15.5
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DBUILD_TESTING=OFF"
 hostmakedepends="extra-cmake-modules pkg-config kcoreaddons kdoctools
  qt5-qmake qt5-host-tools"
 makedepends="ibus-devel kactivities5-stats-devel kpeople-devel libcanberra-devel
  plasma-workspace-devel pulseaudio-devel xf86-input-evdev-devel
- xf86-input-synaptics-devel xf86-input-libinput-devel"
+ xf86-input-synaptics-devel xf86-input-libinput-devel ksolid-devel"
 depends="kmenuedit ksysguard polkit-kde-agent powerdevil systemsettings"
 short_desc="KDE Plasma Desktop"
 maintainer="John <johnz@posteo.net>"

From b64764a1322bfa58d8d691d64741a327f8bd0c44 Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Wed, 12 Jun 2019 16:58:54 +0200
Subject: [PATCH 19/23] plasma-nm: revbump for libksolid

added ksolid-devel as explicit build dependency
---
 srcpkgs/plasma-nm/template | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/plasma-nm/template b/srcpkgs/plasma-nm/template
index 6a087a30e8b..e932b96e9d9 100644
--- a/srcpkgs/plasma-nm/template
+++ b/srcpkgs/plasma-nm/template
@@ -1,13 +1,14 @@
 # Template file for 'plasma-nm'
 pkgname=plasma-nm
 version=5.15.5
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DBUILD_TESTING=OFF"
 hostmakedepends="extra-cmake-modules mobile-broadband-provider-info pkg-config
  qt5-qmake qt5-host-tools kcoreaddons"
 makedepends="plasma-workspace-devel networkmanager-qt5-devel kdelibs4support-devel
- kdesignerplugin-devel qca-qt5-devel modemmanager-qt5-devel kdoctools-devel openconnect-devel"
+ kdesignerplugin-devel qca-qt5-devel modemmanager-qt5-devel kdoctools-devel
+ openconnect-devel ksolid-devel"
 depends="mobile-broadband-provider-info"
 short_desc="NetworkManager Plasma applet"
 maintainer="John <johnz@posteo.net>"

From fb6f8ff52ecb0402ae9ff5d4cc2f8b787072ccb6 Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Wed, 12 Jun 2019 17:08:10 +0200
Subject: [PATCH 20/23] plasma-workspace: revbump for libksolid

---
 srcpkgs/plasma-workspace/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/plasma-workspace/template b/srcpkgs/plasma-workspace/template
index 1ed5c5f278c..0b5de06853b 100644
--- a/srcpkgs/plasma-workspace/template
+++ b/srcpkgs/plasma-workspace/template
@@ -1,7 +1,7 @@
 # Template file for 'plasma-workspace'
 pkgname=plasma-workspace
 version=5.15.5
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DBUILD_TESTING=OFF"
 hostmakedepends="extra-cmake-modules iso-codes pkg-config kdoctools kcoreaddons"
@@ -9,7 +9,7 @@ makedepends="qt5-devel qt5-declarative-devel qt5-script-devel plasma-framework-d
  krunner-devel kjsembed-devel knotifyconfig-devel kdesu-devel knewstuff-devel
  kcmutils-devel kidletime-devel kdelibs4support-devel libksysguard-devel
  baloo5-devel ktexteditor-devel kwin-devel libxcb-devel libXtst-devel
- libqalculate-devel prison-devel kholidays-devel"
+ libqalculate-devel prison-devel kholidays-devel ksolid-devel"
 depends="kactivitymanagerd kwin iso-codes milou plasma-integration libxcb-devel"
 short_desc="KDE Window manager"
 maintainer="John <johnz@posteo.net>"

From 439dc2d25d0385138af70638f8416f57041e4035 Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Wed, 12 Jun 2019 17:02:43 +0200
Subject: [PATCH 21/23] powerdevil: revbump for libksolid

---
 srcpkgs/powerdevil/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/powerdevil/template b/srcpkgs/powerdevil/template
index f572c54dd3d..b5873a511ae 100644
--- a/srcpkgs/powerdevil/template
+++ b/srcpkgs/powerdevil/template
@@ -1,13 +1,13 @@
 # Template file for 'powerdevil'
 pkgname=powerdevil
 version=5.15.5
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DBUILD_TESTING=OFF"
 hostmakedepends="extra-cmake-modules pkg-config kdoctools kauth
  kconfig qt5-qmake qt5-host-tools"
 makedepends="bluez-qt5-devel libkscreen-devel networkmanager-qt5-devel
- kdesignerplugin-devel kdoctools-devel plasma-workspace-devel"
+ kdesignerplugin-devel kdoctools-devel plasma-workspace-devel ksolid-devel"
 short_desc="Power consumption settings of a Plasma"
 maintainer="John <johnz@posteo.net>"
 license="GPL-2.0-or-later"

From b3512b1d3188c3f91be6e6fa532fe0bb45af6d91 Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Wed, 12 Jun 2019 17:05:58 +0200
Subject: [PATCH 22/23] soundkonverter: revbump for libksolid

added ksolid-devel as explicit build dependency
---
 srcpkgs/soundkonverter/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/soundkonverter/template b/srcpkgs/soundkonverter/template
index 2f080b28ce7..db0c9b1d477 100644
--- a/srcpkgs/soundkonverter/template
+++ b/srcpkgs/soundkonverter/template
@@ -1,12 +1,12 @@
 # Template file for 'soundkonverter'
 pkgname=soundkonverter
 version=3.0.1
-revision=1
+revision=2
 build_wrksrc=src
 build_style=cmake
 hostmakedepends="extra-cmake-modules"
 makedepends="kdelibs4support-devel libcdparanoia-devel libkcddb-devel
- qt5-devel taglib-devel"
+ qt5-devel taglib-devel ksolid-devel"
 depends="hicolor-icon-theme"
 short_desc="Frontend to various audio converters"
 maintainer="travankor <travankor@tuta.io>"

From 346c9cca1ec5cbd3e33ea89bbe6831fc9526fe00 Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Wed, 12 Jun 2019 17:04:53 +0200
Subject: [PATCH 23/23] tellico: revbump for libksolid

added ksolid-devel as explicit build dependency
---
 srcpkgs/tellico/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/tellico/template b/srcpkgs/tellico/template
index 4efef78e98f..31b19016b97 100644
--- a/srcpkgs/tellico/template
+++ b/srcpkgs/tellico/template
@@ -1,7 +1,7 @@
 # Template file for 'tellico'
 pkgname=tellico
 version=3.2
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DENABLE_WEBCAM=$(vopt_if webcam ON OFF)"
 hostmakedepends="extra-cmake-modules qt5-qmake qt5-host-tools kdoctools kconfig
@@ -10,7 +10,7 @@ makedepends="kfilemetadata5-devel khtml-devel kitemmodels-devel knewstuff-devel
  $(vopt_if webcam v4l-utils-devel) $(vopt_if yaz yaz-devel)
  $(vopt_if xmp exempi-devel) $(vopt_if cdio libcdio-devel)
  $(vopt_if cddb libkcddb-devel) $(vopt_if scanner libksane-devel)
- libcdio-paranoia-devel"
+ libcdio-paranoia-devel ksolid-devel"
 short_desc="Collection manager for KDE"
 maintainer="John <johnz@posteo.net>"
 license="GPL-3.0-or-later"
